WCSDUP(3)

NAME
wcsdup - save a copy of a string

LIBRARY
libc

SYNOPSIS
#include <wchar.h>
wchar_t *
wcsdup(const wchar_t *str);

DESCRIPTION
The wcsdup() function allocates sufficient memory for a copy of the wide-character string str, does the copy, and returns a pointer to it. The pointer may subsequently be used as an argument to the function free(3).

If insufficient memory is available, NULL is returned.

EXAMPLES
The following will point p to an allocated area of memory containing the nul-terminated string "foobar":

    wchar_t *p;
    if (p = wcsdup(L"foobar"), p == NULL) {
    	fprintf(stderr, "Out of memory.\n");
    	exit(1);
    }

ERRORS
The wcsdup() function may fail and set the external variable errno for any of the errors specified for the library function malloc(3).

SEE ALSO
free(3), malloc(3), strdup(3)

HISTORY
The wcsdup() function first appeared in NetBSD 4.0.